Subject: Re: How do I compile egcs-1.1.1 under Cygwin B20.1?
From: [email-masked] (Dr David Coe)

14 Dec 1998 04:59:05 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Mumit Khan" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>

Building egcs-1.1.1 out-of-the-box for 1586-cygwin32 works fine. As far as I
can see, however, the compiler predefines __CYGWIN32__ rather than the new
'standard' of __CYGWIN__ so you do need to watch the defines in various
contributed patches!!

David Coe

-----Original Message-----

From: Mumit Khan <[email-masked]>
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked]
<[email-masked]>
Date: 07 December 1998 22:33
Subject: Re: How do I compile egcs-1.1.1 under Cygwin B20.1?

Here's my configure line:

  $ mkdir <objdir>
  $ cd <objdir>
  $ <srcdir>/configure --prefix=/Cygnus/cygwin-b20 \
    --exec-prefix=/Cygnus/cygwin-b20/H-i586-cygwin32 i586-cygwin32

My guess is that all you have to do is the following:

  $ cd <objdir>/gcc
  $ make installdirs
  $ cd ..
  $ make

The ``make installdirs'' is needed so that the includes can be found via
the complier-directory-relative path lookup.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".